"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var __1 = require("../../../..");
var OrgInterface = /** @class */ (function () {
    function OrgInterface(http) {
        this.http = http;
        this.serverIpY = 'http://192.168.94.166:8443';
        this.serverIpF = 'http://192.168.94.167:8443';
        this.serverIpP = 'http://192.168.94.168:8443';
    }
    // 获取组织树
    OrgInterface.prototype.getOrgTreeData = function (search) {
        return this.http.getData({
            url: this.serverIpP + '/torg/queryLowOrgElementID',
            search: search
        });
    };
    // 添加组织
    OrgInterface.prototype.addOrgElement = function (data) {
        return this.http.postData({
            url: this.serverIpY + '/torg/addOrgElement',
            data: data
        });
    };
    // 查询组织
    OrgInterface.prototype.queryOrgElement = function (search) {
        return this.http.getData({
            url: this.serverIpY + '/torg/queryOrgElementId',
            search: search
        });
    };
    // 删除组织
    OrgInterface.prototype.delOrgElement = function (data) {
        return this.http.postData({
            url: this.serverIpY + '/torg/deleteOrgElementByIds',
            data: data
        });
    };
    // 更新组织
    OrgInterface.prototype.updateOrgElement = function (data) {
        return this.http.postData({
            url: this.serverIpY + '/torg/updateOrgElement',
            data: data
        });
    };
    OrgInterface = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [__1.HttpService])
    ], OrgInterface);
    return OrgInterface;
}());
exports.OrgInterface = OrgInterface;
//# sourceMappingURL=org.interface.js.map