"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var demo_modal_component_1 = require("./resource/demo.modal.component");
var DemoComponent = /** @class */ (function () {
    function DemoComponent(modalService) {
        this.modalService = modalService;
        this.currentPage = 3;
        this.nodes = [
            {
                id: 1,
                name: 'root1',
                children: [
                    { id: 2, name: 'child1' },
                    { id: 3, name: 'child2' }
                ]
            },
            {
                id: 4,
                name: 'root2',
                children: [
                    { id: 5, name: 'child2.1' },
                    {
                        id: 6,
                        name: 'child2.2',
                        children: [
                            { id: 7, name: 'subsub' }
                        ]
                    }
                ]
            }
        ];
        this.options = {};
    }
    DemoComponent.prototype.ngOnInit = function () {
    };
    DemoComponent.prototype.btnClick = function () {
        console.log('xxx');
    };
    DemoComponent.prototype.pageChange = function (page) {
        console.log('pageChange', page);
    };
    DemoComponent.prototype.openComponentModal = function () {
        this.modalDialog = this.modalService.open(demo_modal_component_1.DemoModalComponent, {
            backdrop: true,
        });
        this.modalDialog.result.then(function (data) {
            console.log('then', data);
        }).catch(function (err) {
            console.log('error', err);
        });
    };
    DemoComponent = __decorate([
        core_1.Component({
            templateUrl: './demo.component.html',
            styleUrls: []
        }),
        __metadata("design:paramtypes", [ng_bootstrap_1.NgbModal])
    ], DemoComponent);
    return DemoComponent;
}());
exports.DemoComponent = DemoComponent;
//# sourceMappingURL=demo.component.js.map