"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var OrganizationDetailComponent = /** @class */ (function () {
    function OrganizationDetailComponent() {
        this.actOrgData = {};
        this.save = new core_1.EventEmitter();
        this.orgStatus = [
            {
                id: 1,
                name: 'In use'
            },
            {
                id: 0,
                name: 'Un use'
            }
        ];
    }
    Object.defineProperty(OrganizationDetailComponent.prototype, "orgData", {
        get: function () {
            return this._orgData;
        },
        set: function (v) {
            if (this._orgData && v && this._orgData.id != undefined && this._orgData.id == v.id) {
                return;
            }
            this._orgData = v;
            this.actOrgData = {};
            Object.assign(this.actOrgData, v);
            if (this._orgData) {
                this.selectStatus = this.orgStatus.find(function (item, index) {
                    return item.id == v.state;
                });
            }
            else {
                this.selectStatus = null;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OrganizationDetailComponent.prototype, "viewType", {
        get: function () {
            return this._viewType;
        },
        set: function (v) {
            if (this._viewType === v) {
                return;
            }
            this._viewType = v;
            this.setTitle();
        },
        enumerable: true,
        configurable: true
    });
    OrganizationDetailComponent.prototype.ngOnInit = function () {
        if (!this.viewType) {
            this.viewType = 'view';
            this.setTitle();
        }
    };
    OrganizationDetailComponent.prototype.setTitle = function () {
        if (this.viewType === 'edit') {
            this.title = '编辑组织架构';
        }
        else if (this.viewType === 'add') {
            this.title = '新增组织架构';
        }
        else if (this.viewType === 'view') {
            this.title = '查看组织架构';
        }
    };
    OrganizationDetailComponent.prototype.saveOrg = function () {
        this.save.emit(this.actOrgData);
    };
    OrganizationDetailComponent.prototype.resetOrg = function () {
        this.actOrgData['orgName'] = '';
        this.actOrgData['remark'] = '';
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], OrganizationDetailComponent.prototype, "orgData", null);
    __decorate([
        core_1.Output(),
        __metadata("design:type", Object)
    ], OrganizationDetailComponent.prototype, "save", void 0);
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object),
        __metadata("design:paramtypes", [Object])
    ], OrganizationDetailComponent.prototype, "viewType", null);
    OrganizationDetailComponent = __decorate([
        core_1.Component({
            selector: 'org-detail',
            moduleId: module.id,
            templateUrl: './organization.detail.component.html',
            styleUrls: ['./organization.detail.component.css']
        }),
        __metadata("design:paramtypes", [])
    ], OrganizationDetailComponent);
    return OrganizationDetailComponent;
}());
exports.OrganizationDetailComponent = OrganizationDetailComponent;
//# sourceMappingURL=organization.detail.component.js.map