"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var post_add_component_1 = require("../post-add/post.add.component");
var post_edit_component_1 = require("../post-edit/post.edit.component");
var post_interface_1 = require("../../../../common/interface/post.interface");
var PostDetailComponent = /** @class */ (function () {
    function PostDetailComponent(postInterface, modalServie) {
        this.postInterface = postInterface;
        this.modalServie = modalServie;
    }
    PostDetailComponent.prototype.ngOnInit = function () {
        this.setPostHeader();
        this.getPostDetail();
    };
    PostDetailComponent.prototype.setPostHeader = function () {
        this.postHeader = [
            {
                field: 'postName',
                title: '岗位名称',
                width: '30%',
            }, {
                field: 'postNum',
                title: '岗位编号',
                width: '10%',
            }, {
                field: 'orgName',
                title: '所属机构',
                width: '10%',
            }, {
                field: 'remark',
                title: '岗位描述',
                width: '50%',
            }, {
                field: 'action',
                title: '操作',
                width: '10%',
            }
        ];
    };
    PostDetailComponent.prototype.getPostDetail = function () {
        this.postData = [
            {
                'postName': '岗位名称1',
                'postNum': '岗位编号1',
                'orgName': '所属机构1',
                'remark': '岗位描述1',
            }, {
                'postName': '岗位名称2',
                'postNum': '岗位编号2',
                'orgName': '所属机构2',
                'remark': '岗位描述2',
            }, {
                'postName': '岗位名称3',
                'postNum': '岗位编号3',
                'orgName': '所属机构3',
                'remark': '岗位描述3',
            }
        ];
        /*this.postInterface.getPostDetail({
          id: this.orgData.id
        }).subscribe(res => {
          this.postData = res['result'];
        }, err => {
          alert(JSON.stringify(err));
        });*/
    };
    // 新增岗位事件
    PostDetailComponent.prototype.addPostEvent = function () {
        var _this = this;
        var addDialog = this.modalServie.open(post_add_component_1.PostAddComponent, {
            backdrop: 'static',
        });
        var tempData = {
            postName: '',
            postNum: '',
            orgName: this.orgData.orgName,
            orgId: this.orgData.id,
            remark: '',
        };
        addDialog.componentInstance.postData = tempData;
        addDialog.result.then(function (val) {
            _this.postData.unshift(val);
        }).catch(function (res) {
        });
    };
    // 编辑岗位事件
    PostDetailComponent.prototype.modifyPostEvent = function (postData) {
        this.editingPostData = postData;
        var editDialog = this.modalServie.open(post_edit_component_1.PostEditComponent, {
            backdrop: 'static',
        });
        console.log('this.ref', postData);
        editDialog.componentInstance.postData = postData;
        editDialog.result.then(function (val) {
            console.log(val);
        }).catch(function (res) {
        });
    };
    // 删除岗位事件
    PostDetailComponent.prototype.deletePostEvent = function (postData) {
    };
    // 表格选中事件
    PostDetailComponent.prototype.checkEvent = function (event) {
        this.checkedPosts = event;
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], PostDetailComponent.prototype, "orgData", void 0);
    PostDetailComponent = __decorate([
        core_1.Component({
            selector: 'post-detail',
            moduleId: module.id,
            templateUrl: './post.detail.component.html',
            styleUrls: ['./post.detail.component.css']
        }),
        __metadata("design:paramtypes", [post_interface_1.PostInterface,
            ng_bootstrap_1.NgbModal])
    ], PostDetailComponent);
    return PostDetailComponent;
}());
exports.PostDetailComponent = PostDetailComponent;
//# sourceMappingURL=post.detail.component.js.map