"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var post_info_user_component_1 = require("./post-info-user/post.info.user.component");
var post_info_basic_component_1 = require("./post-info-basic/post.info.basic.component");
var PostEditComponent = /** @class */ (function () {
    function PostEditComponent() {
    }
    PostEditComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.tabData = [
            {
                title: '基本信息',
                component: post_info_basic_component_1.PostInfoBasicComponent,
                data: {
                    basicData: this.postData,
                    saveBasicData: function (data) {
                        console.log('this.postData:', _this.postData);
                        console.log('data:', data);
                    }
                },
                select: true
            },
            {
                title: '分配人员',
                component: post_info_user_component_1.PostInfoUserComponent,
                data: {
                    basicData: this.postData,
                    saveUserData: function (data) {
                        console.log('this.saveUserData:', _this.postData);
                        console.log('data:', data);
                    }
                },
                select: false
            },
        ];
    };
    PostEditComponent.prototype.tabChangeEvent = function (event) {
    };
    __decorate([
        core_1.Input(),
        __metadata("design:type", Object)
    ], PostEditComponent.prototype, "postData", void 0);
    PostEditComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            templateUrl: './post.edit.component.html',
            styleUrls: ['./post.edit.component.css']
        }),
        __metadata("design:paramtypes", [])
    ], PostEditComponent);
    return PostEditComponent;
}());
exports.PostEditComponent = PostEditComponent;
//# sourceMappingURL=post.edit.component.js.map