import { OnInit } from '@angular/core';
import { NewsComponent } from '../../detail/announcement/news/news.component';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { CommonService } from '../../common/common.service';
import { HttpService } from '../../../..';
export declare class AnnouncementComponent implements OnInit {
    private http;
    private test;
    private sanitizer;
    constructor(http: HttpService, test: CommonService, sanitizer: DomSanitizer);
    source: string[];
    trees: ({
        id: number;
        title: string;
        subNode: {
            id: number;
            title: string;
            show: boolean;
            subNode: {
                id: number;
                title: string;
                subNode: {
                    id: number;
                    title: string;
                }[];
            }[];
        }[];
    } | {
        id: number;
        title: string;
        subNode?: undefined;
    })[];
    iframeUrl: SafeResourceUrl;
    data: ({
        title: string;
        component: typeof NewsComponent;
        select: boolean;
        url?: undefined;
        params?: undefined;
    } | {
        title: string;
        url: string;
        params: {};
        select: boolean;
        component?: undefined;
    })[];
    ngOnInit(): void;
    clickNode(event: any): void;
    extendNode(event: any): void;
    tabChangeEvent(event: any): void;
    childItem: ({
        id: number;
        name: string;
        routLink: string;
        children?: undefined;
    } | {
        id: number;
        name: string;
        routLink: string;
        children: {
            id: number;
            name: string;
            routLink: string;
        }[];
    })[];
}
