var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Component } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
let ModalTipComponent = class ModalTipComponent {
    constructor(activeModal) {
        this.activeModal = activeModal;
    }
    closeModal(type) {
        /*this.activeModal.close({
          data: '数据'
        });*/
        if (type == 'ok') {
            this.activeModal.close('ok');
        }
        else {
            this.activeModal.dismiss('cancel');
        }
    }
};
ModalTipComponent = __decorate([
    Component({
        selector: 'dc-modal-tip',
        template: `
  <div>title</div>
<div>body</div>
<div>
  <button (click)="closeModal('ok')">确认</button>
  <button (click)="closeModal('close')">取消</button>
</div>
  `,
        styles: [],
    }),
    __metadata("design:paramtypes", [NgbActiveModal])
], ModalTipComponent);
export { ModalTipComponent };
//# sourceMappingURL=modal.tip.component.js.map