"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var ng_bootstrap_1 = require("@ng-bootstrap/ng-bootstrap");
var forms_1 = require("@angular/forms");
var demo_component_1 = require("./demo.component");
var demo_modal_component_1 = require("./resource/demo.modal.component");
var common_service_module_1 = require("../common/common.service.module");
var angular_tree_component_1 = require("angular-tree-component");
var test_management_component_1 = require("./test/test.management.component");
var DemoModule = /** @class */ (function () {
    function DemoModule() {
    }
    DemoModule = __decorate([
        core_1.NgModule({
            imports: [
                forms_1.FormsModule,
                ng_bootstrap_1.NgbModule,
                angular_tree_component_1.TreeModule,
                common_service_module_1.CommonServiceModule,
                router_1.RouterModule.forChild([
                    {
                        path: 'demo',
                        component: demo_component_1.DemoComponent
                    },
                    {
                        path: '',
                        redirectTo: '/demo', pathMatch: 'full'
                    },
                ])
            ],
            providers: [],
            declarations: [
                demo_component_1.DemoComponent,
                demo_modal_component_1.DemoModalComponent,
                test_management_component_1.TestManagementComponent
            ],
            entryComponents: [
                demo_modal_component_1.DemoModalComponent
            ],
            exports: [
                demo_component_1.DemoComponent
            ],
        })
    ], DemoModule);
    return DemoModule;
}());
exports.DemoModule = DemoModule;
//# sourceMappingURL=demo.module.js.map