"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var inner_control_component_1 = require("./inner.control.component");
var budget_component_1 = require("../../detail/inner-control/budget/budget.component");
var contract_component_1 = require("../../detail/inner-control/contract/contract.component");
var partner_component_1 = require("../../detail/inner-control/partner/partner.component");
var project_component_1 = require("../../detail/inner-control/project/project.component");
var workload_component_1 = require("../../detail/inner-control/workload/workload.component");
var common_service_module_1 = require("../../common/common.service.module");
var common_1 = require("@angular/common");
var __1 = require("../../../..");
var InnerControlModule = /** @class */ (function () {
    function InnerControlModule() {
    }
    InnerControlModule = __decorate([
        core_1.NgModule({
            imports: [
                common_1.CommonModule,
                common_service_module_1.CommonServiceModule,
                __1.PluginModule,
                router_1.RouterModule.forChild([
                    {
                        path: '',
                        component: inner_control_component_1.InnerControlComponent,
                        children: [
                            {
                                path: 'budget',
                                component: budget_component_1.BudgetComponent
                            }, {
                                path: 'contract',
                                component: contract_component_1.ContractComponent
                            }, {
                                path: 'partner',
                                component: partner_component_1.PartnerComponent
                            }, {
                                path: 'project',
                                component: project_component_1.ProjectComponent
                            }, {
                                path: 'workload',
                                component: workload_component_1.WorkloadComponent
                            }, {
                                path: '',
                                redirectTo: 'budget'
                            }
                        ]
                    },
                ])
            ],
            providers: [],
            declarations: [
                inner_control_component_1.InnerControlComponent,
                budget_component_1.BudgetComponent,
                contract_component_1.ContractComponent,
                partner_component_1.PartnerComponent,
                project_component_1.ProjectComponent,
                workload_component_1.WorkloadComponent,
            ],
            exports: [
                inner_control_component_1.InnerControlComponent
            ],
        })
    ], InnerControlModule);
    return InnerControlModule;
}());
exports.InnerControlModule = InnerControlModule;
//# sourceMappingURL=inner.control.module.js.map