var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LeftMenuComponent } from './leftmenu/leftmenu.component';
import { DrawService } from './draw/draw.service';
import { DrawComponent } from './draw/draw.component';
import { PaginationComponent } from './pagination/pagination.component';
import { HeaderComponent } from './header/header.component';
import { LeftSideComponent } from './left-side/left.side.component';
import { HttpService } from './http/http.service';
import { HttpModule } from '@angular/http';
import { TabComponent } from './tab/tab.component';
import { AutoCompleteComponent } from './auto-component/auto.component.component';
import { PinyinService } from './pinyin.service';
import { SelectComponent } from './select/select.component';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ButtonComponent } from './button/button.component';
import { TreeComponent } from './tree/tree.component';
import { NodeComponent } from './tree/node.component';
import { DatePickerComponent } from './date-picker/date.picker.component';
import { TableComponent } from './table/table.component';
import { TableColumnComponent } from './table/column.component';
import { ModalTipComponent } from './modal-tip/modal.tip.component';
let PluginModule = class PluginModule {
};
PluginModule = __decorate([
    NgModule({
        imports: [
            CommonModule,
            FormsModule,
            RouterModule,
            NgbModule,
            HttpModule
        ],
        declarations: [
            LeftMenuComponent,
            DrawComponent,
            PaginationComponent,
            HeaderComponent,
            LeftSideComponent,
            TabComponent,
            AutoCompleteComponent,
            TabComponent,
            SelectComponent,
            ButtonComponent,
            TreeComponent,
            DatePickerComponent,
            NodeComponent,
            TableComponent,
            TableColumnComponent,
            ModalTipComponent,
        ],
        exports: [
            LeftMenuComponent,
            PaginationComponent,
            HeaderComponent,
            LeftSideComponent,
            TabComponent,
            AutoCompleteComponent,
            TabComponent,
            SelectComponent,
            ButtonComponent,
            TreeComponent,
            DatePickerComponent,
            NodeComponent,
            TableComponent,
            TableColumnComponent,
            ModalTipComponent,
        ],
        providers: [
            DrawService,
            HttpService,
            PinyinService,
        ],
        entryComponents: [
            DrawComponent,
            ModalTipComponent,
        ],
    })
], PluginModule);
export { PluginModule };
//# sourceMappingURL=plugin.module.js.map